Bug 1248310 - Obsolete lxpanel 0.6.1 used, upstream has 0.8.1
Obsolete lxpanel 0.6.1 used, upstream has 0.8.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxpanel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 01:11 EDT by Pavel Roskin
Modified: 2016-07-19 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:15:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2015-07-30 01:11:20 EDT
Description of problem:

lxpanel 0.6.1 packaged by Fedora 22 was released in September 2013. There have been many releases since then. The current version is 0.8.1, released in May 2015. lxpanel is an essential part of LXDE. Using old LXDE components means that users of Fedora LXDE spin are not getting current software for their preferred desktop, even though they take care to download the latest Fedora.

Version-Release number of selected component (if applicable):

lxpanel-0.6.1-6.fc22.x86_64

How reproducible:

Always, for 2 years.

Steps to Reproduce:
1. Install Fedora 22
2. Check version of lxpanel

Actual results:
0.6.1

Expected results:
at least 0.8.0 (released in December 2014)

Additional info:
alacarte is not working with lxpanel 0.6.1. Windows had working menu editing since 1995. 20 years later, LXDE Fedora is still struggling.
Comment 1 Mamoru TASAKA 2015-07-30 01:30:22 EDT
F-23 (currently being planned to be released on 2015-10-27) has lxpanel-0.8.1-1.fc23 (and on F-23, all LXDE components are updated to the latest).

For F-22, currently I have no plan to update the versions of any LXDE components, as usually on stable branches updates should be bug fix only and lxpanel 0.6.1 -> 0.8.1 is somewhat not a small change.

By the way, I have prepared LXDE-next repo for those who wants to try using them on F-22:

https://copr.fedoraproject.org/coprs/mtasaka/LXDE-next/

If there are more testers for the above repo and I get more feedback, I may change my thought.
Comment 2 Pavel Roskin 2015-07-30 17:09:50 EDT
That's awesome news! I'll test the repo ASAP.
Comment 3 Fedora End Of Life 2016-07-19 13:15:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.